classification
Title: bsddb185 module needs iterators
Type: enhancement Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: gregory.p.smith, loewis, rhettinger, sidlon
Priority: normal Keywords:

Created on 2002-03-21 20:17 by sidlon, last changed 2007-08-24 06:24 by gregory.p.smith. This issue is now closed.

Messages (8)
msg53510 - (view) Author: Michael McFarland (sidlon) Date: 2002-03-21 20:17
  The hash, btree and record classes should have an iterator defined.  
The current first() and next() functions should make this a fairly 
simple change to bsddbmmodule.c.  This would allow:

  dbh = 
dbhash.open('mydb.db', 'r')
  for key in dbh:
    process(key, 
dbh[key])

and eliminate the temptation to use the following, 
which would be inadvisable for large databases:

  for key in 
dbh.keys():

msg53511 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2002-05-09 14:26
Logged In: YES 
user_id=21627

This is unlikely to happen. More likely, bsddb will be
deprecated.
msg53512 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2003-06-28 07:11
Logged In: YES 
user_id=80475

Fixed.
msg53513 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2003-06-28 07:55
Logged In: YES 
user_id=21627

In what way is this fixed? The test program still does not
work...
msg53514 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2003-06-28 12:02
Logged In: YES 
user_id=80475

Re-opened. 
msg55239 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2007-08-24 04:02
this was marked 'open' and 'fixed' at the same time.  that should be an
invalid state.  it was indeed fixed eons ago.
msg55241 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-08-24 04:42
It had indeed the status Fixed/Open on SF. It was marked as Fixed and
Closed by rhettinger, then reopened by rhettinger in response to my
comment in msg53513.

It does not refer to _bsddb.c, but bsddbmodule.c. Are you saying that
bsddbmodule.c supports __iter__? It does not look that way to me...
msg55245 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2007-08-24 06:24
Oops.  You're right.  This was referring to the legacy bsddb185 module
in Modules/bsddbmodule.c.  In 2.6 that is never built by default.  I'm
marking it as wont fix.
History
Date User Action Args
2007-08-24 06:24:04gregory.p.smithsetresolution: fixed -> wont fix
messages: + msg55245
title: bsddb module needs iterators -> bsddb185 module needs iterators
2007-08-24 04:42:02loewissetmessages: + msg55241
2007-08-24 04:02:05gregory.p.smithsetstatus: open -> closed
nosy: + gregory.p.smith
messages: + msg55239
2002-03-21 20:17:18sidloncreate